Subject: gst-plugins-base has test failures (when built as a dependency)

From: Björn Höfling <[email-masked]>
Date: Fri, 3 Aug 2018 13:38:58 +0200

Hi,

gst-plugins-base has somehow a problem, which I don't understand fully.
Can someone have a look into it? It was already reported by Piere
Neidhardt on the help mailing list:

https://lists.gnu.org/archive/html/help-guix/2018-06/msg00075.html

OK, so I am on 5803f87284c228ca131d74a4259238e7685526ac and do:

./pre-inst-env  guix build gst-plugins-base
/gnu/store/58i3gmidcbksf7cxwhfjrp2w22k6glqa-gst-plugins-base-1.14.1-doc
/gnu/store/g3iwkhs7sjrhsaqq3bwmj81mxsa5c3d1-gst-plugins-base-1.14.1

Looks good.

I can also build the derivation:

./pre-inst-env  guix build gst-plugins-base -d
/gnu/store/zg9bmdlrdwd4i4c1prz4hzzjm3877nkl-gst-plugins-base-1.14.1.drv

I can also add options "--no-grafts --no-substitutes", same result.

Now, I want to build wine:

Building package wine
Full build command: ./pre-inst-env guix build wine --no-grafts --no-substitutes
Guix commit:
5803f87284c228ca131d74a4259238e7685526ac gnu: Update ruby-net-ssh to 4.2.0.
Start building at:    2018-08-03T11:09:39,183594824+00:00
The following derivations will be built:
   /gnu/store/shmcbb9yb99y0kfhn42dz2gpmqnifsmn-wine-3.0.2.drv
   /gnu/store/yrk539har2g5pw1rw5b9k8nq9p0w3c1h-gst-plugins-base-1.14.1.drv
@ build-started /gnu/store/yrk539har2g5pw1rw5b9k8nq9p0w3c1h-gst-plugins-base-1.14.1.drv - i686-linux /var/log/guix/drvs/yr//k539har2g5pw1rw5b9k8nq9p0w3c1h-gst-plugins-base-1.14.1.drv.bz2
starting phase `set-SOURCE-DATE-EPOCH'
[...]

What I find strange is that the derivation of gst-plugins-base differs
from the one above when directly building gst-plugins-base. That would
make sense to me if there would be two packages of gst-plugins-base,
like an inherited one or just any kind of copy. But here, the package
definition of wine ist just using the "normal" package. Or have I
overlooked something? Have I misunderstood something about derivations
here?!

This derivation will fail to build. Here is the end of the log:

[..]

================================================================
   GStreamer Base Plug-ins 1.14.1: tests/check/test-suite.log
================================================================

# TOTAL: 80
# PASS:  79
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: elements/opus
===================

Running suite(s): opus
33%: Checks: 6, Failures: 0, Errors: 4
gstcheck.c:596:E:general:test_opus_encode_nothing:0: (after this point) Received
 signal 11 (Segmentation fault)
gstcheck.c:596:E:general:test_opus_encode_samples:0: (after this point) Received signal 11 (Segmentation fault)
gstcheck.c:596:E:general:test_opus_encode_properties:0: (after this point) Received signal 11 (Segmentation fault)
elements/opus.c:429:E:general:test_opus_decode_plc_timestamps_with_fec:0: (after this point) Received signal 11 (Segmentation fault)
Check suite opus ran in 1.049s (tests failed: 4)
FAIL elements/opus (exit status: 4)

Backtrace:

           4 (primitive-load "/gnu/store/ki3kvmzipvf8baabfyaw1ncf4ax?")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
    640:9  2 (for-each #<procedure 81b5700 at /gnu/store/cgnrsi20mw?> ?)
In /gnu/store/cgnrsi20mwcm1s3z9ab8qw125m73l4qd-module-import/guix/build/gnu-build-system.scm:
   799:31  1 (_ _)
    369:6  0 (check #:target _ #:make-flags _ #:tests? _ # _ # _ # _)

/gnu/store/cgnrsi20mwcm1s3z9ab8qw125m73l4qd-module-import/guix/build/gnu-build-system.scm:369:6: In procedure check:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "make" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f] 80a8ee0>)'.
builder for `/gnu/store/yrk539har2g5pw1rw5b9k8nq9p0w3c1h-gst-plugins-base-1.14.1.drv' failed with exit code 1
@ build-failed /gnu/store/yrk539har2g5pw1rw5b9k8nq9p0w3c1h-gst-plugins-base-1.14.1.drv - 1 builder for `/gnu/store/yrk539har2g5pw1rw5b9k8nq9p0w3c1h-gst-plugins-base-1.14.1.drv' failed with exit code 1
cannot build derivation `/gnu/store/shmcbb9yb99y0kfhn42dz2gpmqnifsmn-wine-3.0.2.drv': 1 dependencies couldn't be built
guix build: error: build failed: build of `/gnu/store/shmcbb9yb99y0kfhn42dz2gpmqnifsmn-wine-3.0.2.drv' failed

Command exited with non-zero status 1
3.30user 0.17system 6:49.03elapsed 0%CPU (0avgtext+0avgdata 145936maxresident)k
32inputs+656outputs (0major+20586minor)pagefaults 0swaps
Returncode: 1
Finished building at: 2018-08-03T11:16:28,219631472+00:00
--------------------------------------------------------------------------------

When looking at Hydra, it succeeds in direct build (for x86_64):

https://hydra.gnu.org/job/gnu/master/gst-plugins-base-1.14.1.x86_64-linux

On i686 it fails with the same opus test.
On ARM it fails with different test failures.

When you look at the build of wine-x86-64:

https://hydra.gnu.org/build/2937119

it fails building gst-plugins-base.

I tried upgrading to the 1.14.2 bugfix release: Same behaviour.

Any ideas someone?

Thanks,

Björn